Bug 1571782 - hplip-3.18.6 is available
Summary: hplip-3.18.6 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 12:15 UTC by Upstream Release Monitoring
Modified: 2018-07-09 08:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-09 08:34:13 UTC
Type: ---


Attachments (Terms of Use)
Debug output of running hp-setup (from version 3.18.5-2.fc28) (13.26 KB, text/plain)
2018-05-26 08:07 UTC, Fritz Elfert
no flags Details
Screenshot of running hp-setup (from version 3.18.5-2.fc28) (537.90 KB, image/png)
2018-05-26 08:14 UTC, Fritz Elfert
no flags Details

Description Upstream Release Monitoring 2018-04-25 12:15:26 UTC
Latest upstream release: 3.18.4
Current version/release in rawhide: 3.18.3-3.fc29
URL: http://hplipopensource.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1327/

Comment 1 Upstream Release Monitoring 2018-05-24 12:15:16 UTC
Latest upstream release: 3.18.5
Current version/release in rawhide: 3.18.4-3.fc29
URL: http://hplipopensource.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1327/

Comment 2 Fedora Update System 2018-05-24 14:12:30 UTC
hplip-3.18.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fe5c004d86

Comment 3 Fritz Elfert 2018-05-24 15:05:58 UTC
The printer is initially recognized in hp-setup, but unfortunately hp-setup has problems to read or display the FAX setup later when attempting to add the corresponding queue.

This is the debug-output and the python traceback:

[felfert@floh ~]$ hp-setup --debug

HP Linux Imaging and Printing System (ver. 3.18.5)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

hp-setup[9357]: debug: param=
hp-setup[9357]: debug: selected_device_name=None
hp-setup[9357]: debug: Using PyQt5
hp-setup[9357]: debug: Sys.argv=['/usr/bin/hp-setup', '--debug'] printer_name=None param= jd_port=1 device_uri=None remove=False
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
No XVisualInfo for format QSurfaceFormat(version 2.0, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize -1, redBufferSize 1, greenBufferSize 1, blueBufferSize 1, alphaBufferSize -1, stencilBufferSize -1, samples -1, swapBehavior QSurfaceFormat::SwapBehavior(SingleBuffer), swapInterval 1, colorSpace QSurfaceFormat::ColorSpace(DefaultColorSpace), profile  QSurfaceFormat::OpenGLContextProfile(NoProfile))
Falling back to using screens root_visual.
hp-setup[9357]: debug: Starting GUI Event Loop...
Searching... (bus=net, timeout=5, ttl=4, search=(None) desc=0, method=slp)
hp-setup[9357]: debug: 0000:  01 07 01 e9 00 00 65 6e 00 03 6b 2c 00 00 01 d9 28 78 2d 68 70 2d 76 65 72 3d 30 31 29 28 78 2d  ......en..k,....(x-hp-ver=01)(x-
hp-setup[9357]: debug: 0020:  68 70 2d 70 72 6f 64 5f 69 64 3d 54 36 42 38 32 41 29 28 78 2d 68 70 2d 6d 61 63 3d 34 38 42 41  hp-prod_id=T6B82A)(x-hp-mac=48BA
hp-setup[9357]: debug: 0040:  34 45 33 34 41 33 38 36 29 28 78 2d 68 70 2d 67 75 69 64 3d 34 38 42 41 34 45 33 34 41 33 38 36  4E34A386)(x-hp-guid=48BA4E34A386
hp-setup[9357]: debug: 0060:  29 28 78 2d 68 70 2d 6e 75 6d 5f 70 6f 72 74 3d 30 31 29 28 78 2d 68 70 2d 69 70 3d 31 39 32 2e  )(x-hp-num_port=01)(x-hp-ip=192.
hp-setup[9357]: debug: 0080:  31 36 38 2e 30 30 32 2e 30 32 39 29 28 78 2d 68 70 2d 68 6e 3d 68 70 6d 32 38 31 29 28 78 2d 68  168.002.029)(x-hp-hn=hpm281)(x-h
hp-setup[9357]: debug: 00a0:  70 2d 70 31 3d 4d 46 47 3a 48 50 3b 43 4d 44 3a 50 4a 4c 2c 50 4d 4c 2c 50 43 4c 58 4c 2c 50 57  p-p1=MFG:HP;CMD:PJL,PML,PCLXL,PW
hp-setup[9357]: debug: 00c0:  47 5f 52 41 53 54 45 52 2c 55 52 50 2c 50 43 4c 2c 50 44 46 2c 50 4f 53 54 53 43 52 49 50 54 3b  G_RASTER,URP,PCL,PDF,POSTSCRIPT;
hp-setup[9357]: debug: 00e0:  4d 44 4c 3a 48 50 20 43 6f 6c 6f 72 4c 61 73 65 72 4a 65 74 20 4d 46 50 20 4d 32 37 38 2d 4d 32  MDL:HP ColorLaserJet MFP M278-M2
hp-setup[9357]: debug: 0100:  38 31 3b 43 4c 53 3a 50 52 49 4e 54 45 52 3b 44 45 53 3a 48 50 20 43 6f 6c 6f 72 20 4c 61 73 65  81;CLS:PRINTER;DES:HP Color Lase
hp-setup[9357]: debug: 0120:  72 4a 65 74 20 4d 46 50 20 4d 32 38 31 66 64 77 3b 4d 45 4d 3a 4d 45 4d 3d 32 31 33 4d 42 3b 50  rJet MFP M281fdw;MEM:MEM=213MB;P
hp-setup[9357]: debug: 0140:  52 4e 3a 54 36 42 38 32 41 3b 43 4f 4d 4d 45 4e 54 3a 52 45 53 3d 36 30 30 78 38 3b 4c 45 44 4d  RN:T6B82A;COMMENT:RES=600x8;LEDM
hp-setup[9357]: debug: 0160:  44 49 53 3a 55 53 42 23 66 66 23 30 34 23 30 31 3b 43 49 44 3a 48 50 4c 4a 50 44 4c 56 31 3b 49  DIS:USB#ff#04#01;CID:HPLJPDLV1;I
hp-setup[9357]: debug: 0180:  50 50 2d 45 3a 46 46 2d 30 34 2d 30 31 2c 46 46 2d 30 34 2d 30 31 2c 46 46 2d 30 39 2d 30 31 2c  PP-E:FF-04-01,FF-04-01,FF-09-01,
hp-setup[9357]: debug: 01a0:  46 46 2d 30 39 2d 30 31 3b 65 53 43 4c 3a 46 46 2d 30 34 2d 30 31 2c 46 46 2d 30 34 2d 30 31 2c  FF-09-01;eSCL:FF-04-01,FF-04-01,
hp-setup[9357]: debug: 01c0:  46 46 2d 30 39 2d 30 31 2c 46 46 2d 30 39 2d 30 31 3b 4d 43 54 3a 4d 46 3b 4d 43 4c 3a 44 4c 3b  FF-09-01,FF-09-01;MCT:MF;MCL:DL;
hp-setup[9357]: debug: 01e0:  4d 43 56 3a 32 2e 30 3b 29                                                                       MCV:2.0;)
hp-setup[9357]: debug: Found device: {'num_devices': 1, 'num_ports': 1, 'product_id': 'T6B82A', 'status_code': 0, 'device2': '0', 'device3': '0', 'note': '', 'device1': 'MFG:HP;CMD:PJL,PML,PCLXL,PWG_RASTER,URP,PCL,PDF,POSTSCRIPT;MDL:HP ColorLaserJet MFP M278-M281;CLS:PRINTER;DES:HP Color LaserJet MFP M281fdw;MEM:MEM=213MB;PRN:T6B82A;COMMENT:RES=600x8;LEDMDIS:USB#ff#04#01;CID:HPLJPDLV1;IPP-E:FF-04-01,FF-04-01,FF-09-01,FF-09-01;eSCL:FF-04-01,FF-04-01,FF-09-01,FF-09-01;MCT:MF;MCL:DL;MCV:2.0;', 'mac': '48BA4E34A386', 'ip': '192.168.002.029', 'hn': 'hpm281'}
hp-setup[9357]: debug: Cache miss: hp_colorlaserjet_mfp_m278-m281
hp-setup[9357]: debug: Reading file: /usr/share/hplip/data/models/models.dat
hp-setup[9357]: debug: Searching for section [hp_colorlaserjet_mfp_m278-m281] in file /usr/share/hplip/data/models/models.dat
hp-setup[9357]: debug: Found section [hp_colorlaserjet_mfp_m278-m281] in file /usr/share/hplip/data/models/models.dat
hp-setup[9357]: debug: {}
hp-setup[9357]: debug: HP_ColorLaserJet_MFP_M278-M281
hp-setup[9357]: debug: (CUPS 1.2.x) Getting list of PPDs using CUPS_GET_PPDS...
hp-setup[9357]: debug: CUPS PPD base path = /usr/share/cups/model
hp-setup[9357]: debug: Foomatic PPD base path = /usr/share/ppd
hp-setup[9357]: debug: Matching PPD list to model  color_laserjet_mfp_m278-m281...
hp-setup[9357]: debug: []
hp-setup[9357]: debug: No PPD found for model color_laserjet_mfp_m278-m281 using new algorithm. Trying old algorithm...
hp-setup[9357]: debug: 1st stage edit distance match
hp-setup[9357]: debug: Determining edit distance from color_laserjet_mfp_m278-m281 (only showing edit distances < 4)...
hp-setup[9357]: debug: Min. dist = 9
hp-setup[9357]: debug: {'drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd': 'HP LaserJet MFP m28-m31 hpijs, 3.18.5', 'drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd': 'HP LaserJet MFP m28-m31, hpcups 3.18.5'}
hp-setup[9357]: debug: 2nd stage matching with model number
hp-setup[9357]: debug: model_number=278
hp-setup[9357]: debug: Factor = 1
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=28
hp-setup[9357]: debug: adj_model_number=278
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=28
hp-setup[9357]: debug: adj_model_number=278
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: Factor = 10
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=20
hp-setup[9357]: debug: adj_model_number=270
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=20
hp-setup[9357]: debug: adj_model_number=270
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: Factor = 100
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=0
hp-setup[9357]: debug: adj_model_number=200
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=0
hp-setup[9357]: debug: adj_model_number=200
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: [('drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd', 'HP LaserJet MFP m28-m31 hpijs, 3.18.5'), ('drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd', 'HP LaserJet MFP m28-m31, hpcups 3.18.5')]
hp-setup[9357]: debug: Found match: drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd
hp-setup[9357]: debug: Found match: drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd
hp-setup[9357]: debug: [('drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd', ['m31']), ('drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd', ['m31'])]
hp-setup[9357]: debug: 2 matches found. Searching based on PDL: Host > PS,PDF > PCL/Other
hp-setup[9357]: debug: Selecting '-m31' PPD: drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd
hp-setup[9357]: debug: {}
hp-setup[9357]: debug: Searching for fax PPD for model hp_colorlaserjet_mfp_m278-m281  hpcups_build =1
hp-setup[9357]: debug: ppds=['/usr/share/ppd/HP/HP-Fax-hpijs.ppd.gz', '/usr/share/ppd/HP/HP-Fax4-hpijs.ppd.gz', '/usr/share/ppd/HP/HP-Fax4-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax2-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax2-hpijs.ppd.gz', '/usr/share/ppd/HP/HP-Fax3-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax3-hpijs.ppd.gz']
hp-setup[9357]: debug: Found fax PPD: /usr/share/ppd/HP/HP-Fax-hpcups.ppd.gz
hp-setup[9357]: debug: fax-type=1
Traceback (most recent call last):
  File "/usr/share/hplip/ui5/setupdialog.py", line 1305, in NextButton_clicked
    self.showAddPrinterPage()
  File "/usr/share/hplip/ui5/setupdialog.py", line 729, in showAddPrinterPage
    self.readwriteFaxInformation()
  File "/usr/share/hplip/ui5/setupdialog.py", line 1128, in readwriteFaxInformation
    self.fax_number = to_unicode(d.getPhoneNum())
  File "/usr/share/hplip/fax/pmlfax.py", line 146, in getPhoneNum
    data = utils.printable(self.getPML(pml.OID_FAX_LOCAL_PHONE_NUM)[1])
  File "/usr/share/hplip/base/utils.py", line 965, in printable
    return s.translate(identity, unprintable)
TypeError: translate() takes exactly one argument (2 given)
hp-setup[9357]: debug: {}
hp-setup[9357]: debug: HP_ColorLaserJet_MFP_M278-M281
hp-setup[9357]: debug: (CUPS 1.2.x) Getting list of PPDs using CUPS_GET_PPDS...
hp-setup[9357]: debug: CUPS PPD base path = /usr/share/cups/model
hp-setup[9357]: debug: Foomatic PPD base path = /usr/share/ppd
hp-setup[9357]: debug: Matching PPD list to model  color_laserjet_mfp_m278-m281...
hp-setup[9357]: debug: []
hp-setup[9357]: debug: No PPD found for model color_laserjet_mfp_m278-m281 using new algorithm. Trying old algorithm...
hp-setup[9357]: debug: 1st stage edit distance match
hp-setup[9357]: debug: Determining edit distance from color_laserjet_mfp_m278-m281 (only showing edit distances < 4)...
hp-setup[9357]: debug: Min. dist = 9
hp-setup[9357]: debug: {'drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd': 'HP LaserJet MFP m28-m31 hpijs, 3.18.5', 'drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd': 'HP LaserJet MFP m28-m31, hpcups 3.18.5'}
hp-setup[9357]: debug: 2nd stage matching with model number
hp-setup[9357]: debug: model_number=278
hp-setup[9357]: debug: Factor = 1
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=28
hp-setup[9357]: debug: adj_model_number=278
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=28
hp-setup[9357]: debug: adj_model_number=278
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: Factor = 10
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=20
hp-setup[9357]: debug: adj_model_number=270
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=20
hp-setup[9357]: debug: adj_model_number=270
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: Factor = 100
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=0
hp-setup[9357]: debug: adj_model_number=200
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: mins_model_number= 28
hp-setup[9357]: debug: mins_adj_model_number=0
hp-setup[9357]: debug: adj_model_number=200
hp-setup[9357]: debug: ***
hp-setup[9357]: debug: [('drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd', 'HP LaserJet MFP m28-m31 hpijs, 3.18.5'), ('drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd', 'HP LaserJet MFP m28-m31, hpcups 3.18.5')]
hp-setup[9357]: debug: Found match: drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd
hp-setup[9357]: debug: Found match: drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd
hp-setup[9357]: debug: [('drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd', ['m31']), ('drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd', ['m31'])]
hp-setup[9357]: debug: 2 matches found. Searching based on PDL: Host > PS,PDF > PCL/Other
hp-setup[9357]: debug: Selecting '-m31' PPD: drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd
hp-setup[9357]: debug: {}
hp-setup[9357]: debug: Searching for fax PPD for model hp_colorlaserjet_mfp_m278-m281  hpcups_build =1
hp-setup[9357]: debug: ppds=['/usr/share/ppd/HP/HP-Fax-hpijs.ppd.gz', '/usr/share/ppd/HP/HP-Fax4-hpijs.ppd.gz', '/usr/share/ppd/HP/HP-Fax4-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax2-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax2-hpijs.ppd.gz', '/usr/share/ppd/HP/HP-Fax3-hpcups.ppd.gz', '/usr/share/ppd/HP/HP-Fax3-hpijs.ppd.gz']
hp-setup[9357]: debug: Found fax PPD: /usr/share/ppd/HP/HP-Fax-hpcups.ppd.gz
hp-setup[9357]: debug: fax-type=1
Traceback (most recent call last):
  File "/usr/share/hplip/ui5/setupdialog.py", line 1305, in NextButton_clicked
    self.showAddPrinterPage()
  File "/usr/share/hplip/ui5/setupdialog.py", line 729, in showAddPrinterPage
    self.readwriteFaxInformation()
  File "/usr/share/hplip/ui5/setupdialog.py", line 1128, in readwriteFaxInformation
    self.fax_number = to_unicode(d.getPhoneNum())
  File "/usr/share/hplip/fax/pmlfax.py", line 146, in getPhoneNum
    data = utils.printable(self.getPML(pml.OID_FAX_LOCAL_PHONE_NUM)[1])
  File "/usr/share/hplip/base/utils.py", line 965, in printable
    return s.translate(identity, unprintable)
TypeError: translate() takes exactly one argument (2 given)
Aborted (core dumped)

Comment 4 Fritz Elfert 2018-05-24 15:25:00 UTC
I will attemt to debug this further tonight ...

Comment 5 Zdenek Dohnal 2018-05-24 15:28:29 UTC
(In reply to Fritz Elfert from comment #3)
> hp-setup[9357]: debug: Matching PPD list to model 
> color_laserjet_mfp_m278-m281...
> hp-setup[9357]: debug: []
> hp-setup[9357]: debug: No PPD found for model color_laserjet_mfp_m278-m281
> using new algorithm. Trying old algorithm...
> hp-setup[9357]: debug: 1st stage edit distance match
> hp-setup[9357]: debug: Determining edit distance from
> color_laserjet_mfp_m278-m281 (only showing edit distances < 4)...
> hp-setup[9357]: debug: Min. dist = 9
> hp-setup[9357]: debug:
> {'drv:///hp/hpijs.drv/hp-laserjet_mfp_m28-m31-hpijs.ppd': 'HP LaserJet MFP
> m28-m31 hpijs, 3.18.5', 'drv:///hp/hpcups.drv/hp-laserjet_mfp_m28-m31.ppd':
> 'HP LaserJet MFP m28-m31, hpcups 3.18.5'}

I think hp-setup found the printer tag in models.dat, but it cannot find a ppd then and uses different one.

Comment 6 Zdenek Dohnal 2018-05-25 08:01:00 UTC
Actually there are two issues - 1) with not being able to find correct ppd
                                2) fax issue.

I can fix the fax issue, and look into PPD issue... I'll try to put our patch for m278-m281 back, would you mind testing it after I build it?

Comment 7 Zdenek Dohnal 2018-05-25 08:03:43 UTC
Fritz, 

there is upstream issue https://bugs.launchpad.net/hplip/+bug/1772544 about it, would you mind reporting there about non functional m27-m281 printers?

Comment 8 Zdenek Dohnal 2018-05-25 08:42:18 UTC
Here is the scratch build (it will last available for 3 days). https://koji.fedoraproject.org/koji/taskinfo?taskID=27184511

Comment 9 Fritz Elfert 2018-05-26 08:05:46 UTC
(In reply to Zdenek Dohnal from comment #8)
> Here is the scratch build (it will last available for 3 days).
> https://koji.fedoraproject.org/koji/taskinfo?taskID=27184511

Almost ...

The FAX-Number related bug appears to have been fixed (no crash anymore): It presents the download dialog for the plugin now and correctly downloads it. However later on, when attempting to add the print queues it fails while adding the FAX queue. Debug output and screenshot will be attached.

BTW: I also noticed the FAX number to be wrong. In my printer, an international number is configured starting with the german country prefix "+49...". In the GUI dialog, the number is shown without the leading "+" (Can bee seen in the screenshot too).

Comment 10 Fritz Elfert 2018-05-26 08:07:59 UTC
Created attachment 1441803 [details]
Debug output of running hp-setup (from version 3.18.5-2.fc28)

Comment 11 Fritz Elfert 2018-05-26 08:14:36 UTC
Created attachment 1441804 [details]
Screenshot of running hp-setup (from version 3.18.5-2.fc28)

Comment 12 Fritz Elfert 2018-05-26 08:38:49 UTC
Oops. I just noticed that a different PPD was selected compared to hplip-3.18.4-2.fc27

Excerpt of /etc/cups/printers.conf resulting from the old (working) package:

<DefaultPrinter HP_ColorLaserJet_MFP_M278-M281>
UUID urn:uuid:2e355587-28f7-3616-6687-c763e67767d8
Info HP_ColorLaserJet_MFP_M278-M281
Location 2. Stock
MakeModel HP Color LaserJet Pro MFP M277 Postscript (recommended)

Excerpt of /etc/cups/printers.conf resulting from the scratch package:

<Printer HP_ColorLaserJet_MFP_M278-M281>
UUID urn:uuid:e6c54b80-12a9-3570-4b7f-93e785853a2a
Info 
Location 
MakeModel HP Color LaserJet Pro MFP m177fw, hpcups 3.18.5

Notice: MFP M277 vs. MFP M177. Actual printing DOES work though. Just tested a B/W simple pdf doc.

Comment 13 Upstream Release Monitoring 2018-06-11 12:15:16 UTC
Latest upstream release: 3.18.6
Current version/release in rawhide: 3.18.5-1.fc29
URL: http://hplipopensource.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1327/

Comment 14 Fedora Update System 2018-06-12 06:13:15 UTC
hplip-3.18.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cd7f5d4499

Comment 15 Fedora Update System 2018-06-12 15:12:16 UTC
hplip-3.18.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cd7f5d4499

Comment 16 Fedora Update System 2018-06-16 20:16:36 UTC
hplip-3.18.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.